gr::gfdm::resource_demapper_kernel_cc Class Reference

Demap symbols from demodulated frame. More...

`#include <resource_demapper_kernel_cc.h>`

## Public Types

typedef std::complex< float > | gfdm_complex
typedef boost::shared_ptr< resource_demapper_kernel_cc > | sptr

## Public Member Functions

| resource_demapper_kernel_cc (int timeslots, int subcarriers, int active_subcarriers, std::vector< int > subcarrier_map, bool per_timeslot)
| ~resource_demapper_kernel_cc ()
int | input_vector_size ()
int | output_vector_size ()
void | generic_work (gfdm_complex *p_out, const gfdm_complex *p_in, const int noutput_size)

## Detailed Description

Demap symbols from demodulated frame.

## Member Typedef Documentation

## gfdm_complex

typedef std::complex<float> gr::gfdm::resource_demapper_kernel_cc::gfdm_complex

## sptr

typedef boost::shared_ptr<resource_demapper_kernel_cc> gr::gfdm::resource_demapper_kernel_cc::sptr

## Constructor & Destructor Documentation

## resource_demapper_kernel_cc()

gr::gfdm::resource_demapper_kernel_cc::resource_demapper_kernel_cc | ( | int | timeslots,
|  | int | subcarriers,
|  | int | active_subcarriers,
|  | std::vector< int > | subcarrier_map,
|  | bool | per_timeslot
| ) |  |

## ~resource_demapper_kernel_cc()

gr::gfdm::resource_demapper_kernel_cc::~resource_demapper_kernel_cc | ( |  | ) |

## Member Function Documentation

## generic_work()

void gr::gfdm::resource_demapper_kernel_cc::generic_work | ( | gfdm_complex * | p_out,
|  | const gfdm_complex * | p_in,
|  | const int | noutput_size
| ) |  |

## input_vector_size()

int gr::gfdm::resource_demapper_kernel_cc::input_vector_size | ( |  | ) |

inline

## output_vector_size()

int gr::gfdm::resource_demapper_kernel_cc::output_vector_size | ( |  | ) |

inline

The documentation for this class was generated from the following file:

- resource_demapper_kernel_cc.h